const getCurrentTime = require('./src/getCurrentTime');

/** Get log method from console */
const { log, error } = console;

module.exports = {
  /**
   * [INFO] Level
   */
  info(...text) {
    log('\x1b[32m%s\x1b[0m', `[${getCurrentTime()}] [INFO] - ${text.join(' ')}`);
  },
  /**
   * [WARN] Level
   */
  warn(...text) {
    log('\x1b[33m%s\x1b[0m', `[${getCurrentTime()}] [WARN] - ${text.join(' ')}`);
  },
  /**
   * [TRACE] Level
   */
  trace(...text) {
    log('\x1b[34m%s\x1b[0m', `[${getCurrentTime()}] [TRACE] - ${text.join(' ')}`);
  },
  /**
   * [DEBUG] Level
   */
  debug(...text) {
    log('\x1b[36m%s\x1b[0m', `[${getCurrentTime()}] [DEBUG] - ${text.join(' ')}`);
  },
  /**
   * [ERROR] Level
   */
  error(...text) {
    error('\x1b[31m%s\x1b[0m', `[${getCurrentTime()}] [ERROR] - ${text.join(' ')}`);
  },
  /**
   * [FATAL] Level
   */
  fatal(...text) {
    error('\x1b[35m%s\x1b[0m', `[${getCurrentTime()}] [FATAL] - ${text.join(' ')}`);
  },
};
